import { EventEmitter } from '../../stencil.core';
/** @internal */
export declare class OptionList {
    element: HTMLElement;
    /**
     * Tracks the active option
     */
    active: HTMLAnjOptionElement;
    updateActive(newOpt: HTMLAnjOptionElement, oldOpt: HTMLAnjOptionElement): void;
    /**
     * Tracks the active option
     */
    expanded: boolean;
    /**
     * Array of all options
     */
    options: HTMLAnjOptionElement[];
    anjOptionsChange: EventEmitter<HTMLAnjOptionElement[]>;
    componentDidLoad(): Promise<void>;
    /**
     * Responds to a given keydown event
     */
    onKeyAction(event: KeyboardEvent): Promise<HTMLAnjOptionElement>;
    onOptionsChanged(): Promise<void>;
    /**
     * Reset the list
     */
    reset(active?: HTMLAnjOptionElement): Promise<HTMLAnjOptionElement>;
    private select;
    private activate;
    private scrollToActive;
    private loadOptions;
    render(): any;
}
